For the complete documentation index, see llms.txt. This page is also available as Markdown.

Workspaces

Workspaces — Taskade REST API v1 reference: GET /workspaces. Parameters, authentication, and response schema.

Summary of Endpoints

Workspaces

get

Get all workspaces for a user

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Workspaces

application/json

Workspaces

okboolean · enumRequiredPossible values:
get/workspaces

Folders

get

Get all folders for a workspace

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workspaceIdstringRequired
Responses
200

Folders

application/json

Folders

okboolean · enumRequiredPossible values:
get/workspaces/{workspaceId}/folders

Projects

post

Create a project in a workspace

Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workspaceIdstringRequired
Body
contentTypestring · enumRequiredPossible values:
contentstringRequired
Responses
200

Successful Project creation

application/json

Successful Project creation

okboolean · enumRequiredPossible values:
post/workspaces/{workspaceId}/projects

Last updated

Was this helpful?